Passer au contenu principal
GET
JavaScript

Autorisations

Authorization
string
header
requis

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Paramètres de chemin

credit_entitlement_id
string
requis

Credit Entitlement ID

customer_id
string
requis

Customer ID

Paramètres de requête

page_size
integer<int32>

Page size default is 10 max is 100

Plage requise: x >= 0
page_number
integer<int32>

Page number default is 0

Plage requise: x >= 0
status
enum<string>

Filter by grant status: active, expired, depleted

Options disponibles:
active,
expired,
depleted

Réponse

List of customer grants

items
object[]
requis
Dernière modification le 1 avril 2026